cc.funkemunky.api.utils

## Class JsonMessage.AMText

- java.lang.Object
- - cc.funkemunky.api.utils.JsonMessage.AMText

Enclosing class:
  JsonMessage

    public class JsonMessage.AMText
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`JsonMessage.AMText` `addHoverItem(org.bukkit.inventory.ItemStack Item)`
`JsonMessage.AMText` `addHoverText(java.lang.String... Text)`
`java.lang.String` `getMessage()`
`JsonMessage.AMText` `setClickEvent(JsonMessage.ClickableType Type2, java.lang.String Value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMessage

    public java.lang.String getMessage()

#### addHoverText

    public JsonMessage.AMText addHoverText(java.lang.String... Text)

#### addHoverItem

    public JsonMessage.AMText addHoverItem(org.bukkit.inventory.ItemStack Item)

#### setClickEvent

    public JsonMessage.AMText setClickEvent(JsonMessage.ClickableType Type2,
                                            java.lang.String Value)